
#include "FightEnemy.h"
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include <fstream>

extern  PAINTSTRUCT ps;
extern 	HDC hdc;
extern 	HBITMAP hbmp; 
extern 	HBITMAP hbmp2; 
extern 	BITMAP bmp;
extern 	HDC hdcMem;
extern 	HDC hdcTmp;
extern 	RECT rect;
extern 	HWND hwnd;
extern  char texta[255][20];

extern byte resByte[2731][16384];//存储lib资源
extern int resByteLen[2731];
extern int resPos[2731][6];//存储lib地址和编号 第六位为长度
extern int resCount;

using namespace std;

void FightEnemy::Init(int enemyType)
{
	//初始化数据，对图片数据
	//对敌人属性初始化 用 enemytype
	int resnum = GetResNum(RES_ARS,3,enemyType);
	if(resnum == -1)return;
	this->no = enemyType;//编号
	 //角色类型 编号 学会 免疫异常 产生异常 ff 姓名（6） 等级 身法 灵力 智商 幸运 持续  
	//hpmax(2) hp(2) mpmax（2） mp(2) 攻击（2） 防御（2） 带钱（2） 经验（2） 物品1 物品2 图片 魔法链
    learnmagic = resByte[resnum][2];//学会 
	anti = resByte[resnum][3];//免疫异常 
	atcause = resByte[resnum][4];//产生异常

	for(int i = 0 ;i<12;i++)
	{
		name[i]= resByte[resnum][i+6];
	}
	degree = resByte[resnum][18];
	speed = resByte[resnum][19];//3-身法，
	anima = resByte[resnum][20];//7-灵力，
	cleaver = resByte[resnum][21];//智商，
	lucky = resByte[resnum][22];//8-幸运，
	last = resByte[resnum][23];//持续

	hpMax = BytesToInt2(&resByte[resnum][24]);//23-生命上限，
	hp = BytesToInt2(&resByte[resnum][26]);//4-生命，
	mpMax = BytesToInt2(&resByte[resnum][28]);//24-真气上限
	mp = BytesToInt2(&resByte[resnum][30]);//5-真气

	att = BytesToInt2(&resByte[resnum][32]);//1-攻击力，
	def = BytesToInt2(&resByte[resnum][34]);//2-防御力，

	money = BytesToInt2(&resByte[resnum][36]);//带钱
	exp = BytesToInt2(&resByte[resnum][38]);//升级经验

	goods1type = resByte[resnum][40];
	goods1idx = resByte[resnum][41];
	goods1num = resByte[resnum][42];

	goods2type = resByte[resnum][43];
	goods2idx = resByte[resnum][44];
	goods2num = resByte[resnum][45];

	picno = resByte[resnum][46];
	magicLink = resByte[resnum][47];
}

void FightEnemy::Show(int xx,int yy)
{
	
}

void FightEnemy::ShowDirct(int xx,int yy)
{
	
}

int FightEnemy::KeyDown(WPARAM KeyCode)
{
	return 0;
}

